Bug 134683 - FILEOPEN DOCX Empty paragraph direct character size formatting not applied (CR formatting)
Summary: FILEOPEN DOCX Empty paragraph direct character size formatting not applied (C...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: DOCX-Character
  Show dependency treegraph
 
Reported: 2020-07-09 09:03 UTC by NISZ LibreOffice Team
Modified: 2022-09-09 00:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Word (32.97 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-07-09 09:03 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (81.55 KB, image/png)
2020-07-09 09:04 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-07-09 09:03:54 UTC
Created attachment 162835 [details]
Example file from Word

Attached user-made document contains a table followed by an empty paragraph. This has a font size of 10 pt set with direct formatting to override the 12 pt setting from the default style.
Opening this file in Writer the 10 pt size is not applied, only the 12 pt default.
For comparison I made a new empty paragraph before the table, set 10 pt font size, and that is applied correctly.

Steps to reproduce:
    1. Open attached document
    2. Check font size of the paragraph after the table

Actual results:
12 pt font size.

Expected results:
10 pt font size

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 5483d4e10aad27889b961b9cb94d7ba6c86aed0b
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

Also happens in earlier versions all the way back to:
LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 1 NISZ LibreOffice Team 2020-07-09 09:04:17 UTC
Created attachment 162836 [details]
Screenshot of the original document side by side in Word and Writer
Comment 2 Xisco Faulí 2020-07-10 16:30:30 UTC
Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 358674b87b8d9cd78079fb105aa81b50f4b5029b
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded